gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererProgress

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders numbers as progress bars

- Module available since Gtk+ version 2.6

Synopsis

- data CellRendererProgress
- class CellRendererClass o => CellRendererProgressClass o
- castToCellRendererProgress :: GObjectClass obj => obj -> CellRendererProgress
- gTypeCellRendererProgress :: GType
- toCellRendererProgress :: CellRendererProgressClass o => o -> CellRendererProgress
- cellRendererProgressNew :: IO CellRendererProgress
- cellProgressValue :: CellRendererProgressClass self => Attr self Int
- cellProgressText :: (CellRendererProgressClass self, GlibString string) => Attr self (Maybe string)

# Detail

`CellRendererProgress` renders a numeric value as a progress par in a cell. Additionally, it can display a text on top of the progress bar.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererProgress

# Types

data CellRendererProgress Source #

#### Instances

Instances details

Eq CellRendererProgress Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererProgress -> CellRendererProgress -> Bool Source # (/=) :: CellRendererProgress -> CellRendererProgress -> Bool Source #
Ord CellRendererProgress Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererProgress -> CellRendererProgress -> Ordering Source #

(<) :: CellRendererProgress -> CellRendererProgress -> Bool Source #

(<=) :: CellRendererProgress -> CellRendererProgress -> Bool Source #

(>) :: CellRendererProgress -> CellRendererProgress -> Bool Source #

(>=) :: CellRendererProgress -> CellRendererProgress -> Bool Source #

max :: CellRendererProgress -> CellRendererProgress -> CellRendererProgress Source #

min :: CellRendererProgress -> CellRendererProgress -> CellRendererProgress Source #

GObjectClass CellRendererProgress Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererProgress -> GObject Source # unsafeCastGObject :: GObject -> CellRendererProgress Source #
CellRendererClass CellRendererProgress Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererProgressClass CellRendererProgress Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererClass o => CellRendererProgressClass o Source #

#### Instances

Instances details

CellRendererProgressClass CellRendererProgress Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererProgress :: GObjectClass obj => obj -> CellRendererProgress Source #

gTypeCellRendererProgress :: GType Source #

toCellRendererProgress :: CellRendererProgressClass o => o -> CellRendererProgress Source #

# Constructors

cellRendererProgressNew :: IO CellRendererProgress Source #

Creates a new `CellRendererProgress`.

# Attributes

cellProgressValue :: CellRendererProgressClass self => Attr self Int Source #

The "value" property determines the percentage to which the progress bar will be "filled in".

Allowed values: `[0,100]`

Default value: `0`

cellProgressText :: (CellRendererProgressClass self, GlibString string) => Attr self (Maybe string) Source #

The `cellProgressText` attribute determines the label which will be drawn over the progress bar. Setting this property to `Nothing` causes the default label to be displayed. Setting this property to an empty string causes no label to be displayed.

Default value: `Nothing`